{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'View Votation' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row no-gutters card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans 'View Votation' %}</h1>
                </div>
                <div class="card-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-4 col-lg-3 px-0 pr-md-2 pb-3">
                                {% if votation.get_votation_status == "open" %}
                                <a class="btn btn-success btn-detail"
                                    href="{% url 'votations:vote' pk=votation.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-vote-yea"></i>
                                    {% trans "Vote in Votation"%}
                                </a>
                                {% endif %}
                                {% if votation.get_votation_status == "closed" %}
                                <a class="btn btn-info btn-detail"
                                    href="{% url 'votations:results' pk=votation.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-poll fa-fw mr-1"></i>
                                    {% trans "Votation Results"%}
                                </a>
                                {% endif %}
                                {% if perms.votations.manage_votations and votation.get_votation_status == "pending" %}
                                <a class="btn btn-warning btn-detail"
                                    href="{% url 'votations:edit' pk=votation.pk %}?next={{ request.get_full_path }}">
                                    <i class="fas fa-pen fa-fw mr-1"></i>
                                    {% trans "Edit Votation" %}
                                </a>
                                {% endif %}
                                {% if perms.votations.manage_votations %}
                                <a class=" btn btn-danger btn-detail"
                                    href="{% url 'votations:delete' pk=votation.pk %}?next=/votations/">
                                    <i class="fas fa-trash fa-fw mr-1"></i>
                                    {% trans "Delete Votation" %}
                                </a>
                                {% endif %}
                            </div>
                            <div class="col-md-8 col-lg-9 px-0 pl-md-2">
                                <div class="table-mobile">
                                    <table class="table table-striped table-detail" id="mobileTable">
                                        <tbody>
                                            <tr>
                                                <th scope="row">Votation ID</th>
                                                <td>{{ votation.pk }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Topic" %}</th>
                                                <td>{{ votation.topic }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Description" %}</th>
                                                <td>{{ votation.description }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Start Date" %}</th>
                                                <td>{{ votation.start_date }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "End Date" %}</th>
                                                <td>{{ votation.end_date }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "Type" %}</th>
                                                <td>{{ votation.get_votation_type_display }}</td>
                                            </tr>
                                            <tr>
                                                <th scope="row">{% trans "List of choices" %}</th>
                                                <td>
                                                    {% for choice in votation.votationchoice_set.all %}
                                                    {{ choice.name }}<br>
                                                    {% endfor %}
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}